## pax 20190224

=== debian/changelog ===
pax (1:20190224-1) unstable; urgency=high

  * New upstream release
    - ported to MidnightBSD and (current — see #923067) GNU/kFreeBSD
    - adds workarounds for older glibc versions
    - deprecates some old MirCPIO-specific unflexible extensions
    - fixes FTBFS when uid_from_user() is available, and when
      fchmodat() and lchmod() are not available
    - fixes segfaults trying to select some archive formats
    - unbreaks -M uidgid

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 24 Feb 2019 03:25:32 +0100

pax (1:20190210-1) unstable; urgency=high

  * The “should also fix GNU/kFreeBSD FTBFS” upload
    ‣ I’ve tested this on the hurd-i386 porterbox but could not find
      any kfreebsd porterbox ☹
  * New upstream release
    - based on latest OpenBSD and MirBSD CVS
    - completely redone portability and build system
    - fixes FTBFS on Debian GNU/kFreeBSD as well ☺
  * Update d/copyright
  * Completely revamped packaging
    - Policy 4.3.0
  * Update Enhances targets (Closes: #917426)
  * Drop now-fixed glibc bug (#317466) from description
  * Update (and remove old) lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 10 Feb 2019 23:46:34 +0100

pax (1:20171021-3) unstable; urgency=low

  [ Jonathan de Boyne Pollard ]
  * Fix timestamp setting (#890810)

  [ Thorsten Glaser ]
  * Policy 4.2.1.5
    - R³: no
    - terse build option
  * Use Linux libc5 <sys/sysmacros.h> also for glibc 2.28+ (Closes: #916017)
  * Quell a compiler warnung about restrict qualifier in sigaction use
    (passing a NULL third argument, when not interested in the result)
  * Update lintian overrides
  * Add UMEGAYA metadata
  * Handle deferred symlinks correctly (Closes: #890810)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 12 Dec 2018 00:19:19 +0100
