## pax 20190825

=== debian/changelog ===
pax (1:20190825-1) unstable; urgency=low

  * New upstream release
    - small portability improvements
    - fix segfault if realpath(2) does not take a NULL second argument
  * Modernise packaging
  * Bump Policy, with no changes required

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 13 Sep 2019 14:11:11 +0200
