## pax 20201030

=== debian/changelog ===
pax (1:20201030-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:22:25 +0100

pax (1:20201030-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:11 +0200

pax (1:20201030-1) unstable; urgency=low

  * ⛥ “Samhain on a blue moon” upload ⛦
  * New upstream release, so DDPO is green
    - minor portability fixes

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 31 Oct 2020 07:22:05 +0100

pax (1:20200904-1) unstable; urgency=medium

  * New upstream release
    - update strtonum from latest OpenBSD and MirBSD changes
    - don’t use test -n / -z in Build.sh for portability
    - update reallocarray, strmode as well and tweak detection
      and handling of compat functions
    - implement tar -D option to select format/options (extension)
    - also deprecate tar -A (-D ar), old tar -N (-M numid)
    - manpage improvements
  * Bump Policy, no applicable changes
  * Switch to debhelper 13
  * The bullseye+ toolchain adds -Wl,--as-needed automatically
  * Switch to .tgz distfiles
  * Refresh overrides for lintian

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 05 Sep 2020 04:26:58 +0200
