=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,14 @@
 
 OUR_CPPFLAGS:=
 OUR_CFLAGS:=
-OUR_LDFLAGS:=	-Wl,--as-needed
+OUR_LDFLAGS:=
 
 ifneq (,$(filter debug,${DEB_BUILD_OPTIONS}))
 OUR_CFLAGS+=	-Og -g3
 endif
+
+# only needed when backporting to buster and older
+#OUR_LDFLAGS+=	-Wl,--as-needed
 
 OUR_CPPFLAGS+=	-DPAX_SAFE_PATH=\"/usr/bin:/bin\"
 OUR_CFLAGS+=	-Wall -Wextra -Wformat -fno-strict-aliasing
@@ -34,10 +37,10 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@
+	dh $@ --buildsystem=none
 
-override_dh_auto_clean:
-	rm -rf builddir Makefile
+execute_before_dh_auto_clean:
+	rm -rf builddir
 
 override_dh_auto_build:
 	rm -rf builddir
