=== debian/changelog ===
pax (1:20240817-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move files from /bin/ to /usr/bin/ (Closes: #1073622)

  [ Thorsten Glaser ]
  * Grudgingly merge the above
  * The “with friends like these…” upload 😾
  * Trim Enhances: (Closes: #1063606)
  * New upstream release
    - portability fixes including to groff in trixie/sid
  * Switch d/watch to TLSv1.2+ mirror
  * Sync lintian overrides, bump S-V

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 18 Aug 2024 03:07:07 +0200
