=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pax
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thorsten Glaser <tg@mirbsd.de>
+Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://www.mirbsd.org/pax.htm
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 VCS-git: https://evolvis.org/anonscm/git/alioth/pax.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/pax.git;a=shortlog;h=refs/heads/master
@@ -14,8 +13,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Enhances: arj, binutils, cpio, dpkg, gzip, lha, libarchive-tools,
- p7zip, rar, star, tar, unrar, unzip, zip
+Enhances: binutils, cpio, dpkg, gzip, tar
 Description: Portable Archive Interchange (cpio, pax, tar)
  paxtar is an implementation of an archiving utility that reads
  and writes several formats - traditional ones, the extended
