=== debian/rules ===
--- 
+++ 
@@ -22,15 +22,11 @@
 OUR_CFLAGS+=	-Og -g3
 endif
 
-# only needed when backporting to buster and older
-#OUR_LDFLAGS+=	-Wl,--as-needed
-
-OUR_CPPFLAGS+=	-DPAX_SAFE_PATH=\"/usr/bin:/bin\"
+OUR_CPPFLAGS+=	-DPAX_SAFE_PATH=\"/usr/bin\"
 OUR_CFLAGS+=	-Wall -Wextra -Wformat -fno-strict-aliasing
-OUR_CFLAGS+=	-Wno-unused-result
 
 dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
-export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS:=hardening=+all optimize=-lto
 export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
 export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
 export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
@@ -54,3 +50,6 @@
 	    -e 's!conftest.c:\([0-9]*\(:[0-9]*\)*\): warning:!cW(\1) -!g' \
 	    -e 's!conftest.c:\([0-9]*\(:[0-9]*\)*\): note:!cN(\1) -!g'
 	test x"$$(cat builddir/Build.rv 2>&1)" = x"0"
+
+execute_before_dh_installdeb:
+	if command -v dh_movetousr >/dev/null 2>&1; then dh_movetousr; fi
