=== debian/watch ===
version=4
opts="dversionmangle=s/^[0-9]+://" \
https://mbsd.evolvis.org/MirOS/dist/mir/cpio/ paxmirabilis-(.*)\.tgz
